<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Similar images search</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
</head>

<body>
    <div class="container"
        style="display: flex; justify-content: center;align-items: center; margin-top: 1%; margin-bottom: 1%;">
        <div class="card bg-dark text-white align-self-center" style="width: 24rem;" id="leftcard">

            <div class="card-body">
                <h5 class="card-title">Similar images search</h5>
            </div>

            <div class="card-body">
                <form id="formFileMultiple" method="POST" name="file" enctype=multipart/form-data>

                    <select for="formFileMultiple" name="model" id="searchMethod" class="form-select form-select-lg mb-3" aria-label=".form-select-lg example" onchange="showOptions(event)">
                        <option value="1">resnet image search</option>
                        <option value="2">clip image search</option>
                        <option value="3">clip text search</option>
                    </select>
                    <div class="mb-3" id="inputimage">
                        <label for="formFileMultiple" class="form-label">Select image</label>
                        <input class="form-control" type="file" name="image" onchange="loadFile(event)">
                    </div>
                    <div class="mb-3" id="inputtextDiv" hidden>
                        <textarea class="form-control" name="textquery" id="inputtext" placeholder="Enter your query here..." rows="1"></textarea>
                    </div>


                    <button form="formFileMultiple" id="uploadButton" class="btn btn-md btn-primary btn-block"
                        disabled="true" type="submit" style="margin-top: 1rem;">Search</button>
                </form>

            </div>
        </div>
    </div>


    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-U1DAWAznBHeqEIlVSCgzq+c9gqGAJn5c/t99JyeKa9xxaYpSvHU5awsuZVVFIhvj"
        crossorigin="anonymous"></script>
    <script src="//code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script type="text/javascript">
        let output = ""

        var showOptions = function (event) {
            const inputText = document.getElementById('inputtextDiv')
            const inputImage = document.getElementById('inputimage')
            const uploadButton = document.getElementById('uploadButton')
            inputImage.hidden = event.target.value == "3"
            inputText.hidden = !inputImage.hidden
            if (event.target.value == "3") {
                uploadButton.disabled = false
            }
        }
        var loadFile = function (event) {
            console.log(event.target)
            const files = event.target.files.length
            const button = document.getElementById('uploadButton')
            button.disabled = files < 1
        }
    </script>
</body>

<footer>
    <div class="container" style="margin-bottom: 1%;">
        <div class="row align-items-center" style="display: flex; justify-content: center; align-items: center;">
            <div class="col-md-auto">
                <p class="text-muted">Built with PyTorch and Flask</p>
            </div>
        </div>
    </div>
</footer>
</html>